# Create a StripeBalanceDebitAgreement

Creates a Stripe Balance Debit Agreement granting permission to debit from a financial account’s balance via the Stripe Balance payment method. The returned token can be used in payment_method_options[stripe_balance][mandate_options] to generate a payment method and mandate.

## Request

```curl
curl https://api.stripe.com/v1/stripe_balance_debit_agreements \
  -u "<<YOUR_SECRET_KEY>>" \
  -d financial_account={{FINANCIAL_ACCOUNT_ID}} \
  -d seller_network_business_profile=snbp_1Na5YT2eZvKYlo2Ctn7SPPuz \
  -d "single_use[amount]=1000" \
  -d "single_use[currency]=usd"
```

### Response

```json
{
  "id": "sbda_1Na5YT2eZvKYlo2Ctn7SPPuy",
  "object": "stripe_balance_debit_agreement",
  "financial_account": "fa_1Na5YT2eZvKYlo2Ctn7SPPuy",
  "livemode": false,
  "multi_use": null,
  "seller_network_business_profile": "snbp_1Na5YT2eZvKYlo2Ctn7SPPuz",
  "single_use": {
    "amount": 1000,
    "currency": "usd"
  },
  "status": "pending"
}
```

## Returns

Returns a StripeBalanceDebitAgreement object.

## Parameters

- `seller_network_business_profile` (string, required)
  The ID of the seller network business profile being granted permission to debit.

- `financial_account` (string, optional)
  The ID of the financial account to debit.

- `multi_use` (object, optional)
  If this is a `multi_use` debit agreement, this hash contains details about the agreement.

  - `multi_use.currency` (enum, required)
    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `single_use` (object, optional)
  If this is a `single_use` debit agreement, this hash contains details about the agreement.

  - `single_use.amount` (integer, required)
    The amount to authorize for debit, in the smallest currency unit.

  - `single_use.currency` (enum, required)
    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).
